Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "image-to-svg",
    "input": {
      "model": "image-to-svg",
      "file": "https://example.com/my-logo.png"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "image-to-svg",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits1 credit
Toolimage-to-svg

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesimage-to-svg
input.modelstringYesimage-to-svg
input.filestringYesURL of the image to convert
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "image-to-svg",
    "input": {
      "model": "image-to-svg",
      "file": "https://example.com/my-logo.png"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "image-to-svg",
  "createdAt": "2024-01-15T10:30:00.000Z"
}